Package com.ocient.util

# Interface RowTransformerFactory

All Known Implementing Classes:
  `NullRowTransformerFactory`, `ResultSetExtractor`, `WriteThroughResultSetExtractor`

public interface RowTransformerFactory
Factory interface for creating and managing `RowTransformer` instances. The design pattern typically involves acquiring a transformer when needed and then releasing it back to the factory when it's no longer in use, enabling resource pooling.

## Method Summary

Modifier and Type
Method
Description
`RowTransformer`
`acquire()`
Acquires and returns a `RowTransformer` instance.
`void`
`release(RowTransformer transformer)`
Releases a `RowTransformer` instance back to the factory.

## Method Details

### acquire

RowTransformer acquire()
Acquires and returns a `RowTransformer` instance.

### release

void release(RowTransformer transformer)
Releases a `RowTransformer` instance back to the factory. This method should be called when the transformer is no longer needed.

Parameters:
  `transformer` - The non-null `RowTransformer` instance, previously obtained from this factory.